package net.northking.cctp.dw.api.service;

import net.northking.cctp.dw.db.service.ProjectOverviewService;
import net.northking.cctp.dw.dto.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@ConditionalOnMissingBean(name = "ProjectOverviewApiServiceImpl")
public class ProjectOverviewApiServiceImpl implements ProjectOverviewApiService{
    /**
     * 日志
     */
    private final static Logger logger = LoggerFactory.getLogger(ProjectOverviewApiServiceImpl.class);

    @Autowired
    private ProjectOverviewService projectOverviewService;
    @Override
    public ProjectOverviewDto projectOverviewQuery(ProjectOverviewQueryDto projectOverviewQueryDto) {
        return projectOverviewService.projectOverviewQuery(projectOverviewQueryDto);
    }

    @Override
    public ChargeInfoDto chargeInfoQuery(ChargeInfoQueryDto chargeInfoQueryDto) {
        return projectOverviewService.chargeInfoQuery(chargeInfoQueryDto);
    }

    @Override
    public List<ModifyInfoDto> modifyInfoQuery(ModifyInfoQueryDto modifyInfoQueryDto) {
        return projectOverviewService.modifyInfoQuery(modifyInfoQueryDto);
    }

    @Override
    public List<FailPlanInfoDto> failPlanQuery(ModifyInfoQueryDto modifyInfoQueryDto) {
        return projectOverviewService.failPlanQuery(modifyInfoQueryDto);
    }

    @Override
    public AxesDto planQuery(PlanQueryDto planQueryDto) {
        return projectOverviewService.planQuery(planQueryDto);
    }
}
